﻿using Syncfusion.Mvc.Chart;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Windows.Forms.Chart;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ChartExportingMvc.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {         
            MVCChartModel model1 = InitChart();
            ViewData["Chart"] = model1;            
            return View();
        }

        MVCChartModel InitChart()
        {
            MVCChartModel model=new MVCChartModel();            
            ChartSeries series = new ChartSeries("Series", ChartSeriesType.Spline);
            Random rand = new Random();
            for (int i = 0; i < 10; i++)
                series.Points.Add(i, rand.Next(10, 100));
            series.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Gainsboro);
            series.Style.Border.Width = 2;
            model.Series.Add(series);            

            //Hiding axis grid lines
            model.PrimaryXAxis.DrawGrid = false;
            model.PrimaryYAxis.DrawGrid = false;
            model.PrimaryXAxis.GridLineType.ForeColor = Color.Transparent;
            model.PrimaryYAxis.GridLineType.ForeColor = Color.Transparent;
           
            //Setting font for axes
            model.PrimaryXAxis.Font = new Font("Arial", 5);
            model.PrimaryYAxis.Font = new Font("Arial", 5);

            //Setting full size for chart
            model.ElementsSpacing = 0;

            model.Size = new System.Drawing.Size(100, 100);
            return model;
        }
        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}
